DrawTableParser Class Reference documentation

DrawTableParser Class Referencefinal

the main class to read a DrawingTable v1 file More...

`#include <DrawTableParser.hxx>`

Inheritance diagram for DrawTableParser:

## Public Member Functions
| DrawTableParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor
| ~DrawTableParser () final
| destructor
bool | checkHeader (MWAWHeader *header, bool strict=false) final
| checks if the document header is correct (or not)
void | parse (librevenge::RVNGDrawingInterface *documentInterface) final
| virtual function used to parse the input
Public Member Functions inherited from MWAWGraphicParser
| ~MWAWGraphicParser () override
| destructor
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor
int | version () const
| returns the works version
MWAWParserStatePtr | getParserState ()
| returns the parser state
MWAWHeader * | getHeader ()
| returns the header
MWAWInputStreamPtr & | getInput ()
| returns the actual input
MWAWListenerPtr | getMainListener ()
| returns the main listener
MWAWGraphicListenerPtr & | getGraphicListener ()
| returns the graphic listener
MWAWPresentationListenerPtr & | getPresentationListener ()
| returns the presentation listener
MWAWSpreadsheetListenerPtr & | getSpreadsheetListener ()
| returns the spreadsheet listener
MWAWTextListenerPtr & | getTextListener ()
| returns the text listener
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter
MWAWFontManagerPtr & | getFontManager ()
| returns the font manager
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension
double | getFormLength () const
| returns the form length
double | getFormWidth () const
| returns the form width
double | getPageLength () const
| returns the page length (form length without margin )
double | getPageWidth () const
| returns the page width (form width without margin )
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document

## Protected Member Functions
void | createDocument (librevenge::RVNGDrawingInterface *documentInterface)
| creates the listener which will be associated to the document
bool | createZones ()
| finds the different objects zones
bool | readFonts ()
| try to read the font zones
bool | readPrefs ()
| read the preferences zone
bool | readPrintInfo ()
| read the print info zone
bool | computeMaxDimension ()
| try to compute the max dimension
bool | sendShapes ()
| try to send the different shape
bool | sendShape ()
| try to send a shape
bool | getBitmap (MWAWBox2i const &box, MWAWEmbeddedObject &obj, long endPos)
| try to read a bitmap
Protected Member Functions inherited from MWAWGraphicParser
| MWAWGraphicParser (MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWGraphicParser (MWAWParserStatePtr const &state)
| constructor using a state
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWParserState::Type type, MWAWInputStreamPtr const &input, MWAWRSRCParserPtr const &rsrcParser, MWAWHeader *header)
| constructor (protected)
| MWAWParser (MWAWParserStatePtr const &state)
| constructor using a state
void | setVersion (int vers)
| sets the document's version
void | setGraphicListener (MWAWGraphicListenerPtr &listener)
| sets the graphic listener
void | resetGraphicListener ()
| resets the listener
void | setPresentationListener (MWAWPresentationListenerPtr &listener)
| sets the presentation listener
void | resetPresentationListener ()
| resets the listener
void | setSpreadsheetListener (MWAWSpreadsheetListenerPtr &listener)
| sets the spreadsheet listener
void | resetSpreadsheetListener ()
| resets the listener
void | setTextListener (MWAWTextListenerPtr &listener)
| sets the text listener
void | resetTextListener ()
| resets the listener
void | setAsciiName (char const *name)
| Debugging: change the default ascii file.
std::string const & | asciiName () const
| return the ascii file name

## Protected Attributes
std::shared_ptr< DrawTableParserInternal::State > | m_state
| the state

## Friends
class | DrawTableParserInternal::SubDocument

## Detailed Description

the main class to read a DrawingTable v1 file

## Constructor & Destructor Documentation

## ◆ DrawTableParser()

DrawTableParser::DrawTableParser | ( | MWAWInputStreamPtr const & | input,
|  | MWAWRSRCParserPtr const & | rsrcParser,
|  | MWAWHeader * | header )

constructor

## ◆ ~DrawTableParser()

DrawTableParser::~DrawTableParser | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ checkHeader()

bool DrawTableParser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = false )
| finalvirtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by DrawTableParserInternal::SubDocument, and parse().

## ◆ computeMaxDimension()

bool DrawTableParser::computeMaxDimension | ( |  | ) |
| protected

try to compute the max dimension

Referenced by createZones(), and DrawTableParserInternal::SubDocument.

## ◆ createDocument()

void DrawTableParser::createDocument | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| protected

creates the listener which will be associated to the document

Referenced by DrawTableParserInternal::SubDocument, and parse().

## ◆ createZones()

bool DrawTableParser::createZones | ( |  | ) |
| protected

finds the different objects zones

Referenced by DrawTableParserInternal::SubDocument, and parse().

## ◆ getBitmap()

bool DrawTableParser::getBitmap | ( | MWAWBox2i const & | box,
|  | MWAWEmbeddedObject & | obj,
|  | long | endPos )
| protected

try to read a bitmap

Referenced by DrawTableParserInternal::SubDocument, and sendShape().

## ◆ parse()

void DrawTableParser::parse | ( | librevenge::RVNGDrawingInterface * | documentInterface | ) |
| finalvirtual

virtual function used to parse the input

Implements MWAWGraphicParser.

Referenced by DrawTableParserInternal::SubDocument.

## ◆ readFonts()

bool DrawTableParser::readFonts | ( |  | ) |
| protected

try to read the font zones

Referenced by createZones(), and DrawTableParserInternal::SubDocument.

## ◆ readPrefs()

bool DrawTableParser::readPrefs | ( |  | ) |
| protected

read the preferences zone

Referenced by createZones(), and DrawTableParserInternal::SubDocument.

## ◆ readPrintInfo()

bool DrawTableParser::readPrintInfo | ( |  | ) |
| protected

read the print info zone

Referenced by checkHeader(), createZones(), and DrawTableParserInternal::SubDocument.

## ◆ sendShape()

bool DrawTableParser::sendShape | ( |  | ) |
| protected

try to send a shape

Referenced by DrawTableParserInternal::SubDocument, and sendShapes().

## ◆ sendShapes()

bool DrawTableParser::sendShapes | ( |  | ) |
| protected

try to send the different shape

Referenced by DrawTableParserInternal::SubDocument, and parse().

## Friends And Related Symbol Documentation

## ◆ DrawTableParserInternal::SubDocument

friend class DrawTableParserInternal::SubDocument
| friend

## Member Data Documentation

## ◆ m_state

std::shared_ptr<DrawTableParserInternal::State> DrawTableParser::m_state
| protected

the state

Referenced by computeMaxDimension(), createDocument(), DrawTableParser(), sendShape(), and sendShapes().

The documentation for this class was generated from the following files:

- DrawTableParser.hxx
- DrawTableParser.cxx